## net.i2p.router.networkdb.kademlia
Interface DataStore

All Known Implementing Classes:
  PersistentDataStore, TransientDataStore

    public interface DataStore

Method Summary
`int` `countLeaseSets()`
`DataStructure` `get(Hash key)`
`java.util.Set` `getKeys()`
`boolean` `isKnown(Hash key)`
`void` `put(Hash key, DataStructure data)`
`DataStructure` `remove(Hash key)`
`void` `restart()`

Method Detail

### isKnown

    boolean isKnown(Hash key)

### get

    DataStructure get(Hash key)

### put

    void put(Hash key,
             DataStructure data)

### remove

    DataStructure remove(Hash key)

### getKeys

    java.util.Set getKeys()

### restart

    void restart()

### countLeaseSets

    int countLeaseSets()